# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXTube

Function

Produces a tube of specified diameter from a path or group of paths in a specified Object.

Syntax
`
#include <dx/dx.h>
`

Object DXTube(Object o, double diameter, int n)

Functional Details

The cross section of the tube is an `n`-gon in a plane parallel to the normal and perpendicular to the tangent at each point on the path, where the normals are provided by a "normals" component if present or approximated from the path otherwise. Normals to the tube are computed and associated with the tube for shading.

For more information, see Tube in IBM Visualization Data Explorer User's Reference. See also 4.2 , "Memory Management".

Return Value

Returns the tube or returns `NULL` and sets an error code.

See Also

`DXRibbon`

15.3 , "Path Operations".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]